Cyberduck Mountain Duck CLI

#6442 closed defect (fixed)

Moving folders deletes the folder

Reported by: Jesse Cary Owned by: dkocher
Priority: high Milestone: 4.3
Component: cloudfiles Version: 4.2
Severity: critical Keywords:
Cc: Architecture: Intel
Platform:

Description (last modified by Jesse Cary)

It appears that sometimes when you try to drag one folder into another, the folder you are moving disappears. I was able to reproduce with an empty folder (see screencast) and colleagues have reported this happening in Windows 7 as well where folders including contents are lost.

Attachments (1)

Screen Recording 6 - iPhone.m4v (234.9 KB) - added by Jesse Cary on Dec 14, 2011 at 3:18:13 PM.
screencast of issue (sorry upload limit means small res)

Download all attachments as: .zip

Change History (10)

Changed on Dec 14, 2011 at 3:18:13 PM by Jesse Cary

screencast of issue (sorry upload limit means small res)

comment:1 Changed on Dec 14, 2011 at 3:20:16 PM by Jesse Cary

  • Description modified (diff)
  • Platform Mac OS X 10.6 deleted

comment:2 Changed on Oct 7, 2012 at 10:26:55 PM by dkocher

  • Milestone set to 4.2.2
  • Status changed from new to assigned

comment:3 Changed on Oct 7, 2012 at 10:27:10 PM by dkocher

  • Component changed from openstack to cloudfiles

comment:4 Changed on Oct 7, 2012 at 10:31:01 PM by dkocher

This is a bug when moving directories and always reproducible.

comment:5 Changed on Oct 10, 2012 at 6:22:40 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r10022.

comment:6 Changed on Nov 19, 2012 at 7:15:50 PM by dkocher

  • Summary changed from Moving folders sometimes deletes the folder on Openstack for Rackspace UK to Moving folders deletes the folder

#6961 closed as duplicate.

comment:7 Changed on Mar 8, 2013 at 5:04:01 PM by dkocher

#7105 closed as duplicate.

comment:8 follow-up: Changed on Mar 25, 2013 at 10:51:32 PM by coreyti

Question:

How might one go about updating to a Beta or Snapshot build for the Apple App Store purchased version (which does not include the "Update" preference panel)?

comment:9 in reply to: ↑ 8 Changed on Apr 4, 2013 at 1:50:23 PM by dkocher

Replying to coreyti:

Question:

How might one go about updating to a Beta or Snapshot build for the Apple App Store purchased version (which does not include the "Update" preference panel)?

We cannot provide such builds for the App Store distribution. You have to switch to the manual install.

Note: See TracTickets for help on using tickets.
swiss made software